<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlCNNPoolingParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">timlCNNPoolingParams Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9c5ab9948bbfee8dd7da78509ae8709d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c5ab9948bbfee8dd7da78509ae8709d"></a>
timlCNNPoolingType&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a9c5ab9948bbfee8dd7da78509ae8709d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add78009b025b15de78ef69a0ef44d591"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNPoolingParams.html#add78009b025b15de78ef69a0ef44d591">scaleRow</a></td></tr>
<tr class="separator:add78009b025b15de78ef69a0ef44d591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a133453423032b3422922d6ad9e9ce681"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNPoolingParams.html#a133453423032b3422922d6ad9e9ce681">scaleCol</a></td></tr>
<tr class="separator:a133453423032b3422922d6ad9e9ce681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2e46a0bee8e6e045ac8e9f32f1ea23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa2e46a0bee8e6e045ac8e9f32f1ea23"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padUp</b></td></tr>
<tr class="separator:aaa2e46a0bee8e6e045ac8e9f32f1ea23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae53f5f47ce271a60f031dbec0ace8433"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae53f5f47ce271a60f031dbec0ace8433"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padDown</b></td></tr>
<tr class="separator:ae53f5f47ce271a60f031dbec0ace8433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a4476c79d2820271b8b66d11cd782bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a4476c79d2820271b8b66d11cd782bd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padLeft</b></td></tr>
<tr class="separator:a6a4476c79d2820271b8b66d11cd782bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a453e6379c3feb300e968ea59e00b5b5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a453e6379c3feb300e968ea59e00b5b5e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padRight</b></td></tr>
<tr class="separator:a453e6379c3feb300e968ea59e00b5b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeabf9e05e8fce29f0232a8362038224"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNPoolingParams.html#adeabf9e05e8fce29f0232a8362038224">strideX</a></td></tr>
<tr class="separator:adeabf9e05e8fce29f0232a8362038224"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27c516ed5dd5692d92f8f31108a55e34"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNPoolingParams.html#a27c516ed5dd5692d92f8f31108a55e34">strideY</a></td></tr>
<tr class="separator:a27c516ed5dd5692d92f8f31108a55e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2669235835b476d787b0da88a4f8c7fe"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNPoolingParams.html#a2669235835b476d787b0da88a4f8c7fe">maxIndex</a></td></tr>
<tr class="separator:a2669235835b476d787b0da88a4f8c7fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a2669235835b476d787b0da88a4f8c7fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* timlCNNPoolingParams::maxIndex</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>recode the indices of the max pooling value so that delta can be back propagated to the pooled position </p>

</div>
</div>
<a class="anchor" id="a133453423032b3422922d6ad9e9ce681"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNPoolingParams::scaleCol</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>pooling kernel col size </p>

</div>
</div>
<a class="anchor" id="add78009b025b15de78ef69a0ef44d591"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNPoolingParams::scaleRow</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>pooling kernel row size </p>

</div>
</div>
<a class="anchor" id="adeabf9e05e8fce29f0232a8362038224"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNPoolingParams::strideX</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>pooling kernel stride (horizontal) </p>

</div>
</div>
<a class="anchor" id="a27c516ed5dd5692d92f8f31108a55e34"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNPoolingParams::strideY</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>pooling kernel stride (vertical) </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
